#
# spec file for package pth
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pth
BuildRequires:  autoconf
Url:            http://www.gnu.org/software/pth/
Version:        2.0.7
Release:        142.4
Source:         ftp://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.gz
Source2:        baselibs.conf
Patch:          %{name}-%{version}.diff
Patch1:         pth_sched.patch
Summary:        GNU Portable Threads
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications. All
threads run in the same address space of the server application, but
each thread has it's own individual program-counter, run-time stack,
signal mask and errno variable.

%package -n libpth20
Summary:        GNU Portable Threads
Group:          Development/Libraries/C and C++
Provides:       pth
Obsoletes:      pth
%define library_name libpth20
%define debug_package_requires %{library_name} = %{version}-%{release}

%description -n libpth20
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications. All
threads run in the same address space of the server application, but
each thread has it's own individual program-counter, run-time stack,
signal mask and errno variable.

%package -n libpth-devel
Summary:        GNU Portable Threads
Group:          Development/Libraries/C and C++
Requires:       %{library_name} = %{version}
# pth-devel was last used in openSUSE 11.1
Provides:       pth-devel = %{version}
Obsoletes:      pth-devel < %{version}

%description -n libpth-devel
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications. All
threads run in the same address space of the server application, but
each thread has it's own individual program-counter, run-time stack,
signal mask and errno variable.

%prep
%setup -q
%patch
%patch1 -p1

%build
autoconf

%configure --disable-static --with-pic \
            --enable-optimize=yes \
            --enable-pthread=no \
            --with-gnu-ld
%{__make} pth_p.h
%{__make} %{?_smp_mflags}

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install
#empty dependency_libs
%{__rm} -f %{buildroot}%{_libdir}/libpth.la

%post   -n %{library_name} -p /sbin/ldconfig

%postun -n %{library_name} -p /sbin/ldconfig

%files -n libpth20
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING HACKING HISTORY INSTALL NEWS PORTING README SUPPORT TESTS THANKS USERS
%doc %{_mandir}/man1/*
%{_libdir}/libpth*.so.*

%files -n libpth-devel
%defattr(-,root,root)
%{_bindir}/pth-config
%{_includedir}/pth.h
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/pth.m4
%{_libdir}/libpth*.so
%doc %{_mandir}/man3/*

%changelog
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Mon Jul  2 2012 agraf@suse.com
- remove arm fixery, because we should have a working getcontext
  implementation in glibc now
* Sun Feb 26 2012 dmueller@suse.de
- fix build on arm
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Tue Dec 20 2011 coolo@suse.com
- own aclocal directory, there is no other reason to buildrequire
  automake
* Fri Feb  5 2010 puzel@novell.com
- use proper RPM group
* Tue Dec 15 2009 jengelh@medozas.de
- add baselibs.conf as a source
- move to make -j1, because pth_p.h is not created fast enough
* Wed Jun 17 2009 ro@suse.de
- update baselibs.conf
* Tue Jun  9 2009 puzel@suse.cz
- rename pth-devel to libpth-devel (bnc#504769)
* Thu May 28 2009 puzel@suse.cz
- make pakcage conform to shared library policy
  - libpth20, libpth-devel subpackages
* Wed Apr  1 2009 crrodriguez@suse.de
- disable static libraries
* Fri Aug 22 2008 puzel@suse.cz
- added pth_sched.patch (bnc#413646)
* Tue Jul  1 2008 schwab@suse.de
- Don't make debugging impossible.
- Fix broken stack layout assumptions.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 27 2007 crrodriguez@suse.de
- fixed library-without-ldconfig-post* errors
- libpth.la has empty dependency_libs, removed
* Wed Jan 31 2007 mrueckert@suse.de
- remove useless calls to autotools.
- use %%configure
* Tue Jan 30 2007 ro@suse.de
- use libdir / fix build on lib64
* Tue Jan 23 2007 ltinkl@suse.cz
- fix build with debuginfo
* Mon Jan 22 2007 ltinkl@suse.cz
- initial version, needed for libassuan and new gpg2
